Search the Community
Showing results for tags 'entmake'.
-
select the 4 points on each line and entmake pline
Ajmal posted a topic in AutoLISP, Visual LISP & DCL
Can someone help me to find the solution for some doubts. If someone will make one lisp for this, so I think I will get answer for few doubts I need to draw a pline inside this 4 line using line point like this My doubts 1... -
(defun c:bcr (/ Make_MText i ss ent) (defun *error* ( msg ) (foreach lay lck (vla-put-lock lay :vlax-true)) (if (= 'int (type cmd)) (setvar 'cmdecho cmd)) (LM:endundo (LM:acdoc)) (if (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*")) (princ (strcat "...
-
In continuation of this thread I would like to continue this interesting story about UCSs and transformed entities. So far I have understood ( I am thankful to the community here) that An OCS is an coordinate system that most of the Autocad entities use instead of any other...
-
Set the property "InsUnits" in a block generated by ENTMAKE.
gerardo2m posted a topic in AutoLISP, Visual LISP & DCL
Hi. I am generating a block using ENTMAKE, but I have noticed that the property "InsUnits (RO)" indicates "Unitless". The variable "INSUNITS of the document (drawing) is set to "6" for Meters, but when generating the Block the property is set as Unitless. How do I assign the property to the BLOCK... -
Create a line with Corresponding Dimension
ivanfrancis posted a topic in AutoLISP, Visual LISP & DCL
Hi, I was wondering if i could use two commands, line and dimlinear, in a single lisp file. this one i have measures a line you set with two points and creates a line that is a 1/3 in length of the distance between the two points. I want to add dimension line that will be 500 units above the created... -
entmake block with attributes, scale and rotation issue
CHLUCFENG posted a topic in AutoLISP, Visual LISP & DCL
I have done quite a search and have not found any good explanation to use entmake to insert a defined block, and scale or rotate that block upon insertion. The idea is to tag a line (pipe), and add the diameter, length, and cut-length of that pipe using attributes. I have the code to get the lin... -
Help shading a circular area with entmake hatch
plackowski posted a topic in AutoLISP, Visual LISP & DCL
I am working off of this code cadpanacea.com/node/186, but when I try to run the following, the radius of the circular hatch varies based on the 'ctr' variable's distance from the origin. I would like it to depend solely on the 'ctr' and 'edge' points. (defun c:test()(setvar "osmode" 0) (setq... -
Displaying variables and characters in an entmake dimension
plackowski posted a topic in AutoLISP, Visual LISP & DCL
Hello! I just stared working in AutoLISP a few days ago, and I've come across a problem. I need to create a dimension line where the dimension value is dependent on an input value. So if the input is y, then the text on the dimension line should equal 4.5*(y+1) inches, and it also needs to have a... -
Why "too few arguments"? (defun c:mci (cp) (setq cp (getpoint "\nCenter point:")) (entmake (list (cons 0 "CIRCLE");;Entity (cons 62 5);;Color (cons 10 cp);;Center point (cons 40 2);;Radius ) ) (princ) )
-
I am trying to write a routine that allows users to input items and weights in a dialog box, and outputs a formatted MText (among other things). I allow the user to input up to 10 items, but I only want the MText to use the values that are filled in. Here's what my dialog box looks like:...
-
Hi guys, I'm learning to use LISP functions and came across an problem. Maybe it has been asked thousand times, but I couldn't find an relative thread here. I want to create a function that checks if there is an text style named "Tekst 2.5". Now, the problem is that i can't get the text st...